## org.eclipse.ocl.cst
Interface StringLiteralExpCS

All Superinterfaces:
  CSTNode, EObject, LiteralExpCS, Notifier, OCLExpressionCS, PrimitiveLiteralExpCS

All Known Implementing Classes:
  StringLiteralExpCSImpl

    public interface StringLiteralExpCS

extends PrimitiveLiteralExpCS

A representation of the model object 'String Literal Exp CS'.

The following features are supported:

- `String Symbol`
- `Unescaped String Symbol`

See Also:
  `CSTPackage.getStringLiteralExpCS()`

Method Summary
`String` `getStringSymbol()` Returns the value of the 'String Symbol' attribute
`String` `getUnescapedStringSymbol()` Returns the value of the 'Unescaped String Symbol' attribute
`void` `setStringSymbol(String value)` Sets the value of the '`String Symbol`' attribute
`void` `setUnescapedStringSymbol(String value)` Sets the value of the '`Unescaped String Symbol`' attribute

Methods inherited from interface org.eclipse.ocl.cst.PrimitiveLiteralExpCS
`getSymbol, setSymbol`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getStringSymbol

    String getStringSymbol()

  Returns the value of the 'String Symbol' attribute.

  If the meaning of the 'String Symbol' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'String Symbol' attribute.
  See Also:
    `setStringSymbol(String)`, `CSTPackage.getStringLiteralExpCS_StringSymbol()`

### setStringSymbol

    void setStringSymbol(String value)

  Sets the value of the '`String Symbol`' attribute.

  Parameters:
    `value` - the new value of the 'String Symbol' attribute.
  See Also:
    `getStringSymbol()`

### getUnescapedStringSymbol

    String getUnescapedStringSymbol()

  Returns the value of the 'Unescaped String Symbol' attribute.

  If the meaning of the 'Unescaped String Symbol' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unescaped String Symbol' attribute.
  Since:
    1.3
  See Also:
    `setUnescapedStringSymbol(String)`, `CSTPackage.getStringLiteralExpCS_UnescapedStringSymbol()`

### setUnescapedStringSymbol

    void setUnescapedStringSymbol(String value)

  Sets the value of the '`Unescaped String Symbol`' attribute.

  Parameters:
    `value` - the new value of the 'Unescaped String Symbol' attribute.
  Since:
    1.3
  See Also:
    `getUnescapedStringSymbol()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.